#!/bin/bash
# This is the job script to run a GROMACS example job 
# Remember to change the following to your own Project ID! 
#SBATCH -A SNIC2018-5-3 
#SBATCH -J Gromacs-2017
#SBATCH -t 01:00:00
#SBATCH -n 4
#SBATCH -c 7
#The reservation was only valid during the course and has been commented out
##SBATCH --reservation=intro-course-cpu

# It is always best to do a ml purge before loading other modules
ml purge

ml GCC/5.4.0-2.26  CUDA/8.0.61_375.26  OpenMPI/2.1.1
ml GROMACS/2016.4

if [ -n "$SLURM_CPUS_PER_TASK" ]; then
    mdargs="-ntomp $SLURM_CPUS_PER_TASK"
else
    mdargs="-ntomp 1"
fi

export MDRUN='gmx_mpi mdrun'
mpirun -np $SLURM_NTASKS gmx_mpi mdrun $mdargs -dlb yes  -v -deffnm npt

