function S = parallel(x)
% Adapted from https://www.nsc.liu.se/systems/triolith/software/triolith-software-apps-matlab.html
% Sum average of N random numbers
%
% Tell the scheduler that you want to use the GPUs
gpuDevice
ClusterInfo.setUseGpu(true)
% number of GPUs per node to use
ClusterInfo.setGpusPerNode(2)
ClusterInfo.setUserDefinedOptions('--gres=gpu:k80:2,mps')
format long
A1 = rand(10000,10000);
tic;
B1 = fft(A1);
time1 = toc;


A3 = gpuArray(A1);
tic;
B3 = fft(A3);
time3 = toc;

speedUp = time1/time3;

filename = ['parallel_', num2str(x), '.out'];
fid=fopen(filename,'w');
fprintf(fid,'A small Matlab example\n');
fprintf(fid,'Run with the input: %s\n', num2str(x));
fprintf(fid,'Time = %16.12f\n',time1);
fprintf(fid,'Time = %16.12f\n',time3);
fprintf(fid,'Time = %16.12f\n',speedUp);
fclose(fid);
%
% End
%
